Skip to main content
Resource Center/Resource Pool/VM Instance Operations
POSTVM Instance OperationsSince 4.6.0SynchronousAuth Required

CreateDirectory

CreateDirectory

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • parentUuidString

      The parent directory UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • typeStringRequired

      类型。

    • resourceUuidString

      The resource UUID.

    • tagUuidsList

      The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryDirectoryInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • groupNameStringRequired

      The name of the group that the directory is affiliated to.

    • parentUuidStringRequired

      The parent directory UUID.

    • rootDirectoryUuidStringRequired

      The root directory UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • typeStringRequired

      The directory type.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last update time.

Endpoint

POST/zstack/v1/create/directory

/zstack/v1/create/directory

Operation ID

CreateDirectory

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/create/directory' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","parentUuid":"<parentUuid>","zoneUuid":"<zoneUuid>","type":"<type>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "ac818da023833bcd83728b6374c2a4f0", "name": "test", "groupName": "admin/first/second", "parentUuid": "d6e5792bd4ef374ba99948ae83d3a7c3", "rootDirectoryUuid": "cf6a11447d5f38dd95a91cc392105b16", "zoneUuid": "3714f0cd0f3233dc96dc5fec67886c29", "type": "default" } }

Change History

This API has no change history records yet.

View all change history